package com.qmth.teachcloud.common.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 命题统计导入
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/9/9
 */
public class StatisticsImportDto implements Serializable {

    @ExcelNote(value = "开课学院")
    @NotNull
    private String collegeName;

    @ExcelNote(value = "开课部门")
    @NotNull
    private String teachingRoomName;

    @ExcelNote(value = "课程名称")
    @NotNull
    private String courseName;

    @ExcelNote(value = "课程代码")
    @NotNull
    private String courseCode;

    @ExcelNote(value = "任课老师")
    @NotNull
    private String teacherName;

    @ExcelNote(value = "班级名称")
    @NotNull
    private String clazzName;

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }
}
